﻿using System;

namespace Telerik.Charting
{
    /// <summary>
    /// Specifies the predefined time interval types.
    /// </summary>
    public enum TimeInterval
    {
        /// <summary>
        /// 1 Year (365 days).
        /// </summary>
        Year,

        /// <summary>
        /// 1 Quarter (3 months).
        /// </summary>
        Quarter,

        /// <summary>
        /// 1 Month.
        /// </summary>
        Month,

        /// <summary>
        /// 1 Week (7 days).
        /// </summary>
        Week,

        /// <summary>
        /// 1 Day.
        /// </summary>
        Day,

        /// <summary>
        /// 1 Hour.
        /// </summary>
        Hour,

        /// <summary>
        /// 1 Minute.
        /// </summary>
        Minute,

        /// <summary>
        /// 1 Minute.
        /// </summary>
        Second,

        /// <summary>
        /// 1 Millisecond.
        /// </summary>
        Millisecond,
    }
}
