﻿namespace Telerik.UI.Xaml.Controls.Chart
{
    /// <summary>
    /// Defines the primary label location for a <see cref="CartesianGridLineAnnotation" /> or <see cref="CartesianPlotBandAnnotation" />.
    /// </summary>
    public enum ChartAnnotationLabelLocation
    {
        /// <summary>
        /// Left specifies that the label is positioned to the left of the actual annotation.
        /// </summary>
        Left,

        /// <summary>
        /// Top specifies that the label is positioned above the actual annotation.
        /// </summary>
        Top,

        /// <summary>
        /// Right specifies that the label is positioned to the right of the actual annotation..
        /// </summary>
        Right,

        /// <summary>
        /// Bottom specifies that the label is positioned below the actual annotation.
        /// </summary>
        Bottom,

        /// <summary>
        /// Inside specifies that the label is positioned inside the actual annotation (or centered to it).
        /// </summary>
        Inside
    }
}
